Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.model
Class WorkbenchContentProvider

    java.lang.Object
      org.eclipse.ui.model.BaseWorkbenchContentProvider
          org.eclipse.ui.model.WorkbenchContentProvider

All Implemented Interfaces:
  EventListener, IContentProvider, IResourceChangeListener, IStructuredContentProvider, ITreeContentProvider

public class WorkbenchContentProvider
extends BaseWorkbenchContentProvider
implements IResourceChangeListener

Tree content provider for resource objects that can be adapted to the interface `IWorkbenchAdapter`. This provider will listen for resource changes within the workspace and update the viewer as necessary.

This class may be instantiated, or subclassed by clients.

Constructor Summary
`WorkbenchContentProvider()` Creates the resource content provider.

Method Summary
`void` | `dispose()` Disposes of this content provider.
`void` | `inputChanged(Viewer viewer, Object oldInput, Object newInput)` Notifies this content provider that the given viewer's input has been switched to a different element.
`protected void` | `processDelta(IResourceDelta delta)` Process a resource delta.
`void` | `resourceChanged(IResourceChangeEvent event)` Notifies this listener that some resource changes are happening, or have already happened.

Methods inherited from class org.eclipse.ui.model.BaseWorkbenchContentProvider
`getAdapter, getChildren, getElements, getParent, hasChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkbenchContentProvider

    public WorkbenchContentProvider()

  Creates the resource content provider.

Method Detail

### dispose

    public void dispose()

  Description copied from interface: `IContentProvider`
  Disposes of this content provider. This is called by the viewer when it is disposed.

  The viewer should not be updated during this call, as it is in the process of being disposed.

  Specified by:
    `dispose` in interface `IContentProvider`
  Overrides:
    `dispose` in class `BaseWorkbenchContentProvider`

### inputChanged

    public void inputChanged(Viewer viewer,
                             Object oldInput,
                             Object newInput)

  Description copied from interface: `IContentProvider`
  Notifies this content provider that the given viewer's input has been switched to a different element.

  A typical use for this method is registering the content provider as a listener to changes on the new input (using model-specific means), and deregistering the viewer from the old input. In response to these change notifications, the content provider should update the viewer (see the add, remove, update and refresh methods on the viewers).

  The viewer should not be updated during this call, as it might be in the process of being disposed.

  Specified by:
    `inputChanged` in interface `IContentProvider`
  Overrides:
    `inputChanged` in class `BaseWorkbenchContentProvider`

### resourceChanged

    public final void resourceChanged(IResourceChangeEvent event)

  Description copied from interface: `IResourceChangeListener`
  Notifies this listener that some resource changes are happening, or have already happened.

  The supplied event gives details. This event object (and the resource delta within it) is valid only for the duration of the invocation of this method.

  Note: This method is called by the platform; it is not intended to be called directly by clients.

  Note that during resource change event notification, further changes to resources may be disallowed.

  Specified by:
    `resourceChanged` in interface `IResourceChangeListener`
  Parameters:
    `event` - the resource change event
  See Also:
    `IResourceDelta`

### processDelta

    protected void processDelta(IResourceDelta delta)

  Process a resource delta.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.